## class Fl_PNM_Image

### Class Hierarchy

    Fl_RGB_Image
       |
       +----Fl_PNM_Image

### Include Files

    #include <FL/Fl_PNM_Image.H>

### Additional Libraries

    -lfltk_images  /  fltkimages.lib

### Description

The `Fl_PNM_Image` class supports loading, caching, and drawing of Portable Anymap (PNM, PBM, PGM, PPM) image files. The class loads bitmap, grayscale, and full-color images in both ASCII and binary formats.

### Methods

- Fl_PNM_Image
- ~Fl_PNM_Image

#### Fl_PNM_Image::Fl_PNM_Image(const char *filename);

The constructor loads the named PNM image.

#### Fl_PNM_Image::~Fl_PNM_Image();

The destructor free all memory and server resources that are used by the image.